import PullRequestListDataProvider from 'bitbucket/internal/bbui/data-provider/pull-request-list';
import mockModels from '../models';

export default class MockPullRequestListDataProvider extends PullRequestListDataProvider {

    _transform(d) {
        return d.values.map((junk, i) => {
            return mockModels.pullRequest(null, "pr_" + this._globalIndex(i));
        });
    }

}
